1

I have a problem with Steam client on Elementary OS Loki 64-bit.

It won't run, output from terminal when running steam follows:

Running Steam on elementary 0.4 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(0)
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
2

First we download the latest Steam package:

wget --continue http://repo.steampowered.com/steam/archive/precise/steam_latest.deb

Then we update apt cache:

sudo apt update

And install the Steam package with apt:

sudo apt install ./steam_latest.deb

After you first run Steam and agree to EULA, it will check for additional packages needed:

Steam needs to install these additional packages:

Steam needs to install these additional packages:

You enter your sudo password and agree with the installation and wait for it to install.

Open terminal again and delete these two files:

rm $HOME/.local/share/Steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu/libgcc_s.so.1

rm $HOME/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6

Run Steam again, this time it will start with:

Updating Steam...

Once successfully updated you will need to remove those two files again.

Now you are done, you may launch Steam and log into your account.

I'm afraid you will have to repeat those two files deletion once the Steam client gets updated again, until they fix it, at least.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.